LexmarkZ605

This driver is for the Lexmark z600 series of printers, and the z615-based Dell Photo Printer 720

Dependencies

You'll need to install alien and libstdc++5. sudo apt-get install alien libstdc++5

libstdc++5 is not available with Karmic Koala as standard.You will need to add the Jaunty Jackalope Main Universe repository to your software sources/other software tab before the above step.

Installation

1. Download the drivers from Lexmark.

or

Download: http://www.easy-share.com/1908438339/Z617.tar.gz

Install in the sequence for driver Z600 (works Lexmark X1185, Lexmark X1195):

libcupsys2_1.3.9-17ubuntu3.1_all.deb

libstdc++5_3.3.6-17ubuntu1_i386.deb

z600cups_1.0-2_i386.deb

z600llpddk_2.0-2_i386.deb

2. Run though the following commands:

tar -xvzf CJLZ600LE-CUPS-1.0-1.TAR.gz

# Repair the sh script
tail -n +143 z600cups-1.0-1.gz.sh > install.tar.gz

tar -xvzf install.tar.gz

#Install rpm packages
sudo alien -i z600llpddk-2.0-1.i386.rpm z600cups-1.0-1.i386.rpm

cd /usr/share/cups/model

# Unzip the ppd
sudo gunzip Lexmark-Z600-lxz600cj-cups.ppd.gz

# Restart the cups daemon
sudo /etc/init.d/cupsys restart

4. Now simply set up your printer using the new z600 driver. (ie: in GNOME: System->Administration->Printing).

Uninstalling

To uninstall, run: sudo aptitude remove z600cups z600llpddk

Notes

4.bis Under kubuntu I needed to purge CUPS under adept to reinstall the drivers and to make the changes functional. It works fine

4.ter Under Edubuntu 6.1O, with sudo dpkg to have administrator rights, and a reboot to make the drivers visible, it worked just fine for a Lexmark Z640.

  • Rebooting isn't necessary, since the drivers affect CUPS and not the kernel. -dmaz


CategoryHardware

HardwareSupportComponentsPrinters/LexmarkZ605 (last edited 2010-05-01 23:38:17 by toso-7)